// #declare velas=0 --> pone velas
// #declare luces=0 --> enciende luces

#include "marina.tex"
#include "jarcia.inc"
#include "velas.inc"
#include "12libras.inc"
#include "palos.inc"
#ifndef (portas_abiertas)
  #declare portas_abiertas=0 // abre portas y saca caones
#end

#declare madera_cubierta_superior=texture {madera3 scale .15}
#declare madera_cubierta_inferior=texture {madera1 scale .15}
#declare madera_alcazar_bordas=texture {madera_cubierta_inferior}

/********************************* inicio casco basico *******************************/

#declare casco=
union
{
  sphere {  x*-100,30 }
  cylinder { x*-100,0,30 }
  difference
  {
   sphere {0,30 scale <4,1,1>}
   box {<100,1,30>,<130,-30,-30>}
  }
  cylinder {<-100,0,.75>,<-100,0,-.75>,35}
  box {<-100,-20,.75>,<0,-35,-.75>}
  box {<0,0,.75>,<105,-35,-.75>}
  texture {cobre}
  clipped_by {plane {y,0}}
}

#declare cubierta_inferior=
union
{
 cylinder {<-100,0.1,0>,<-100,5,0>,30 texture {madera_cubierta_inferior}}
 cylinder {<-100,5.1,0>,<-100,10,0>,30 texture {madera_cubierta_inferior translate x*50}}
 box {<-100,0.1,30>,<0,5,-30> texture {madera_cubierta_inferior}}
 box {<-100,5.1,30>,<0,10,-30> texture {madera_cubierta_inferior translate x*50}}
 box {<-135,0,.75>,<105,10,-.75> texture {madera_cubierta_inferior}}
 difference
 {
   union
   {
    cylinder {y*0.1,y*5,30 scale <4,1,1> texture {madera_cubierta_inferior}}
    cylinder {y*5.1,y*10,30 scale <4,1,1> texture {madera_cubierta_inferior translate x*50}}
   }
   box {<100,-1,30>,<130,11,-30> texture {madera_cubierta_inferior}}
 }
 texture {madera_cubierta_inferior}
}

#declare cubierta_superior1=
union
{
 cylinder {<-100,10.1,0>,<-100,15,0>,30 texture {madera_cubierta_superior}}
 cylinder {<-100,15.1,0>,<-100,20,0>,30 texture {madera_cubierta_superior translate x*50}}
 box {<-100,10.1,30>,<0,15,-30> texture {madera_cubierta_superior}}
 box {<-100,15.1,30>,<0,20,-30> texture {madera_cubierta_superior translate x*50}}
 box {<-135,10,.75>,<105,20,-.75> texture {madera_cubierta_superior}}
 prism
 {linear_spline .75,-.75 5 <-135,10>,<-135,20>,<-155,20>,<-135,10>,<-135,10>
                rotate x*-90 texture {madera_cubierta_superior}}
 difference
 {
   union
   {
    cylinder {y*10.1,y*15,30 scale <4,1,1> texture {madera_cubierta_superior}}
    cylinder {y*15.1,y*20,30 scale <4,1,1> texture {madera_cubierta_superior translate x*50}}
   }
   box {<100,9,30>,<130,21,-30> texture {madera_cubierta_superior}}
 }
}

#declare cubierta_superior=
difference
{
 object {cubierta_superior1}
 difference
 {
   cylinder {y*10.11,y*21,28.5 scale <4,1,1> texture {madera2}}
   box {<40,10.1101,28>,<130,22,-28.5> texture {madera2}}
   box {<-10,10.1101,28>,<-130,22,-28.5> texture {madera2}}
 }
 box {<0,10.11,28.5>,<-80,22,-28.5>}
//portas
 #declare aa=(-65)
 #while (aa<20)
       box {<aa+3,13,35>,<aa-3,19,-35> texture {madera2}}
       #declare aa=aa+10
 #end
 texture {madera2}
}

#declare alcazar_proa=
union
{
 prism
 { linear_spline 20,35 8 <-100,28.5>,<-100,32>,<-180,2>,<-180,-2>,<-100,-32>,
                <-100,-28.5>,<-178,0>,<-100,28.5> texture {madera_alcazar_bordas}}
 prism
 { linear_spline 20,20.001 4 <-100,28.51>,<-100,-28.51>,<-178,0>,<-100,28.51>
                  texture {madera2}}
 prism
 { linear_spline 20,18.9 4 <-100,28.51>,<-100,-28.51>,<-178,0>,<-100,28.51>
                  texture {madera_alcazar_bordas}}
 box {<-100,20,29>,<-90,20.1,-29> texture {madera2}}
 box {<-90,20,29>,<-80,20.1,-29> texture {madera2}}

 union
 {
  sphere {<-180,22.5,0>,2} sphere {<-180,27.5,0>,2} sphere {<-180,32.5,0>,2}
  texture {madera_alcazar_bordas}
 }
}

#declare alcazar_popa=
union
{
 union //suelo
 {
  box {<40,20.0001,29>,<114,18,20.1> }
  box {<40,20.0001,20>,<114,18,10.1> }
  box {<40,20.0001,.05>,<114,18,10> }
  box {<40,20.0001,-29>,<114,18,-20.1> }
  box {<40,20.0001,-20>,<114,18,-10.1> }
  box {<40,20.0001,-.05>,<114,18,-10> }
  cylinder {<107.7,17.9,0>,<107.5,21,0>,2 texture {metal}}
  texture {madera2}
 }
 union //lateral
 {
  box { <40,18,28>,<114,27.4,30> texture {madera_alcazar_bordas translate <6,-2,5>}}
  box { <40,35,28>,<114,27.5,30> texture {madera_alcazar_bordas translate <76,-23,165>}}
 }
 union //lateral
 {
  box { <40,18,-28>,<114,27.4,-30> texture {madera_alcazar_bordas translate <6,-2,5>}}
  box { <40,35,-28>,<114,27.5,-30> texture {madera_alcazar_bordas translate <76,-23,165>}}
 }
 union //popa
 {
  box { <113,18,29>,<115,27.4,-29> texture {madera_alcazar_bordas translate <6,-2,5>}}
  box { <113,35,29>,<115,27.5,-29> texture {madera_alcazar_bordas translate <6,-2,5>}}
 }
 union //proa
 {
  box { <40,18,29>,<42,35,25> texture {madera_alcazar_bordas translate <6,-2,5>}}
  box { <40,18,-29>,<42,35,-25> texture {madera_alcazar_bordas translate <6,-2,5>}}
 }
}

#declare bordas=
union
{
 box {<-100,20.1,30>,<-70,30,28.5>}
 cylinder {<-70,20.1,30.0001>,<-70,20.1,28.5001>,10
           clipped_by {box {<-81,20.1,31>,<-59,31,27>}}}
 box {<-100,20.1,-30>,<-70,30,-28.5>}
 cylinder {<-70,20.1,-30.0001>,<-70,20.1,-28.5001>,10
           clipped_by {box {<-81,20.1,-31>,<-59,31,-27>}}}

 prism { linear_spline 30,28.5 5 <40,20.1>,<40,25>,<5,25>,<0,20.1>,<40,20.1>
                       rotate x*-90}
 prism { linear_spline -30,-28.5 5 <40,20.1>,<40,25>,<5,25>,<0,20.1>,<40,20.1>
                       rotate x*-90}
 union
 {
  cylinder {<-80,0,29.5>,<40,0,29.5>,.5}
  cylinder {<-80,0,28>,<40,0,28>,.5}
  box {<-80,0.5,29.5>,<40,0,28>}
  cylinder {<-80,0,-29.5>,<40,0,-29.5>,.5}
  cylinder {<-80,0,-28>,<40,0,-28>,.5}
  box {<-80,0.5,-29.5>,<40,0,-28>}
  clipped_by {plane {-y,0}}
  translate y*20
 }
 texture {madera_alcazar_bordas}
}

#declare cubierta=
union
{
 // cubierta central
 box {<39.9,11.1,20.05>,<0.1,9,25>} box {<39.9,11.1,-20.05>,<0.1,9,-25>}

 box {<0,11.1,28.4>,<-50,9,20.05>} box {<0,11.1,-28.4>,<-50,9,-20.05>}
 box {<-50.1,9,20.05>,<-80,11.1,28.4>} box {<-50.1,9,-20.05>,<-80,11.1,-28.4>}

 box {<0.1,9,20>,<40,11.1,10.05>} box {<-29.9,9,-20>,<40,11.1,-10.05>}
 box {<0,9,10.05>,<-79.9,11.1,20>} box {<-79.9,9,-10.05>,<-29.9,11.1,-20>}

 box {<-29.9,9,.025>,<39.9,11.1,10>} box {<0.1,9,-.025>,<39.9,11.1,-10>}
 box {<-30,9,.025>,<-79.9,11.1,10>} box {<0,9,-.025>,<-79.9,11.1,-10>}
 texture {madera2}
}
/********************************* fin casco basico *******************************/

/********************************* inicio armamento *******************************/
#declare porta=
union
{
 union
 {
  box {<-1,.5,0>,<-2,-5.5,-.05>}
  box {<1,.5,0>,<2,-5.5,-.05>}
  cylinder {<-1,0,-.05>,<-2,0,-.05>,.1}
  cylinder {<1,0,-.05>,<2,0,-.05>,.1}
  sphere {<-1.8,.3,-.05>,.1} sphere {<-1.2,.3,-.05>,.1}
  sphere {<1.8,.3,-.05>,.1} sphere {<1.2,.3,-.05>,.1}
  sphere {<-1.8,-1,-.05>,.1} sphere {<-1.2,-1,-.05>,.1}
  sphere {<1.8,-1,-.05>,.1} sphere {<1.2,-1,-.05>,.1}
  sphere {<-1.8,-3,-.05>,.1} sphere {<-1.2,-3,-.05>,.1}
  sphere {<1.8,-3,-.05>,.1} sphere {<1.2,-3,-.05>,.1}
  sphere {<-1.8,-5,-.05>,.1} sphere {<-1.2,-5,-.05>,.1}
  sphere {<1.8,-5,-.05>,.1} sphere {<1.2,-5,-.05>,.1}
  texture {metal}
 }
 union
 {
  box {<2.95,-.05,0>,<-2.95,-2,.5>}
  box {<2.95,-2.05,0>,<-2.95,-4,.5>}
  box {<2.95,-4.05,0>,<-2.95,-6,.5>}
  texture {madera_cubierta_superior}
 }
 union
 {
  box {<2.95,-.05,.5001>,<-2.95,-2,.5>}
  box {<2.95,-2.05,.5001>,<-2.95,-4,.5>}
  box {<2.95,-4.05,.5001>,<-2.95,-6,.5>}
  box {<2.8,-.1,1>,<2.5,-6,.5>}
  box {<-.15,-.1,1>,<.15,-6,.5>}
  box {<-2.8,-.1,1>,<-2.5,-6,.5>}
  texture {madera2}
 }
}

#declare armamento=
union
{
 #declare aa=-65
 #while (aa<20)
    #if (portas_abiertas=1)
      object {doce_libras rotate y*-90 translate <aa,11.1,-26>}
      object {doce_libras rotate y*90 translate <aa,11.1,26>}
      object {porta rotate x*135 translate <aa,19,-30>}
      object {porta rotate x*135 rotate y*180 translate <aa,19,30>}
    #else
      object {doce_libras rotate y*-90 translate <aa,11.1,-16>}
      object {doce_libras rotate y*90 translate <aa,11.1,16>}
      object {porta rotate y*180 translate <aa,19,30>}
      object {porta translate <aa,19,-30>}
    #end
  #declare aa=aa+10
 #end
}
/********************************* fin armamento **********************************/

/********************************* inicio refuerzos bordas **************************/
#declare refuerzos_bordas=
union
{
 #declare aa=-80
 #while (aa<1)
    box {<aa-.5,10,28.5>,<aa+.5,20,27.5>}
    box {<aa-.5,10,-28.5>,<aa+.5,20,-27.5>}
    #declare aa=aa+10
 #end
 texture {madera_alcazar_bordas}
}
/********************************* fin refuerzos bordas ******************************/

/********************************* fin detalles alcazar ******************************/
#declare detalles_alcazar=
union
{
 //barandillas
 union
 {
  cylinder {<1,0,28>,<1,0,10>,1}
  cylinder {<1,0,-28>,<1,0,-10>,1}
  clipped_by {plane {-y,0}}
  translate y*28
 }
 union
 {
  cylinder {<1,20,26>,<1,28,26>,.75}
  cylinder {<1,20,-26>,<1,28,-26>,.75}
  cylinder {<1,20,21>,<1,28,21>,.75}
  cylinder {<1,20,-21>,<1,28,-21>,.75}
  cylinder {<1,20,16>,<1,28,16>,.75}
  cylinder {<1,20,-16>,<1,28,-16>,.75}
  cylinder {<1,20,11>,<1,28,11>,.75}
  cylinder {<1,20,-11>,<1,28,-11>,.75}
  texture {madera2}
 }
 //puertas
 box {<-1,20,24>,<0,19,16>} box {<-1,19,24>,<0,10,23>} box {<-1,19,16>,<0,10,17>}
 box {<-.5,19,18.5>,<0,10,17>}
 box {<-.5,19,18.5>,<0,10,21>} box {<-.5,19,21.5>,<0,10,23>}

 box {<-1,20,-24>,<0,19,-16>} box {<-1,19,-24>,<0,10,-23>} box {<-1,19,-16>,<0,10,-17>}
 box {<-.5,19,-18.5>,<0,10,-17>}
 box {<-.5,19,-18.5>,<0,10,-21>} box {<-.5,19,-21.5>,<0,10,-23>}

 union
 {
  sphere {<-.5,17,18>,.1} sphere {<-.5,17,20>,.1} sphere {<-.5,17,21>,.1}
  sphere {<-.5,13,18>,.1} sphere {<-.5,13,20>,.1} sphere {<-.5,13,21>,.1}
  sphere {<-.5,17,-18>,.1} sphere {<-.5,17,-20>,.1} sphere {<-.5,17,-21>,.1}
  sphere {<-.5,13,-18>,.1} sphere {<-.5,13,-20>,.1} sphere {<-.5,13,-21>,.1}
  texture {metal}
 }
 //escalera
 prism {linear_spline 9,8 5 <-5,10>,<0,20>,<-5,20>,<-10,10>,<-5,10> rotate x*-90}
 prism {linear_spline -9,-8 5 <-5,10>,<0,20>,<-5,20>,<-10,10>,<-5,10> rotate x*-90}
 #declare aa=0
 #while (aa<5)
   box {<-10+aa,(aa*2)+10,8>,<-5+aa,(aa*2)+11,-8>}
   #declare aa=aa+1
 #end
 texture {madera_alcazar_bordas}
}
/********************************* inicio detalles alcazar ******************************/

/********************************* inicio timon ******************************/
#declare timon=
union
{
 box {<106,-35,.75>,<113,16,-.75>}
 prism {linear_spline .75,-.75 6
       <113.05,16>,<115,16>,<120,10>,<120,-35>,<113.05,-35>,<113.05,16>
       rotate x*-90}
 cylinder {<107.5,15,0>,<107.5,25,0>,.75}
 prism {linear_spline .75,-.75 8 <110,29>,
       <90,30>,<75,30>,<75,28>,<90,27>,<105,25>,<110,25>,<110,29>
       rotate x*-90 texture {madera_alcazar_bordas}}
 union
 {
  box {<102,0,-.76>,<117,5,.76>}
  box {<102,-20,-.76>,<117,-25,.76>}
  cylinder {<105.5,0,0>,<105.5,5,0>,1}
  cylinder {<105.5,-20,0>,<105.5,-25,0>,1}
  sphere {<103.5,1,-.76>,.5} sphere {<108,1,-.76>,.5} sphere {<115.5,1,-.76>,.5}
  sphere {<103.5,1,.76>,.5} sphere {<108,1,.76>,.5} sphere {<115.5,1,.76>,.5}

  sphere {<103.5,4,-.76>,.5} sphere {<108,4,-.76>,.5} sphere {<115.5,4,-.76>,.5}
  sphere {<103.5,4,.76>,.5} sphere {<108,4,.76>,.5} sphere {<115.5,4,.76>,.5}

  sphere {<103.5,-21,-.76>,.5} sphere {<108,-21,-.76>,.5} sphere {<115.5,-21,-.76>,.5}
  sphere {<103.5,-21,.76>,.5} sphere {<108,-21,.76>,.5} sphere {<115.5,-21,.76>,.5}

  sphere {<103.5,-24,-.76>,.5} sphere {<108,-24,-.76>,.5} sphere {<115.5,-24,-.76>,.5}
  sphere {<103.5,-24,.76>,.5} sphere {<108,-24,.76>,.5} sphere {<115.5,-24,.76>,.5}
  texture {metal}
 }
 texture {madera_cubierta_inferior}
}
/********************************* fin timon  ********************************/

/********************************* inicio detalles cubiertas ******************/
#declare detalles_cubierta=
union
{
 union //base palo mayor
 {
  cylinder {<-10,11,6>,<-10,11,-6>,2}
  cylinder {<10,11,6>,<10,11,-6>,2}
  box {<-10,13,6>,<10,10,-6>}
  texture {madera2}
 }
 union //base trinquete
 {
  cylinder {<-87,20,6>,<-87,20,-6>,2}
  cylinder {<-103,20,6>,<-103,20,-6>,2}
  box {<-103,22,6>,<-87,20,-6>}
  texture {madera2}
 }
 union //base mesana
 {
  cylinder {<52,20,6>,<52,20,-6>,2}
  cylinder {<78,20,6>,<78,20,-6>,2}
  box {<78,22,6>,<52,20,-6>}
  texture {madera2}
 }
 union //rejilla
 {
  box {<-35,10,5>,<-34,13,-5>}  box {<-20,10,5>,<-21,13,-5>}
  box {<-35,10,5>,<-20,13,6>}  box {<-35,10,-5>,<-20,13,-6>}
  box {<-34,10,5>,<-21,11.5,-5> pigment {rgb 0}}
  #declare aa=-32.5
  #while (aa<-22)
    box {<aa-.25,10,5>,<aa+.25,12,-5>}
    #declare aa=aa+2
  #end
  #declare aa=-3.5
  #while (aa<5)
    box {<-34,10,aa+.25>,<-21,12.001,aa-.25>}
    #declare aa=aa+1.5
  #end
  texture {madera_cubierta_inferior}
 }
 union //soporte balas
 {
  box {<-64,11,5>,<-39,12,-5>}
  box {<-64,11,3>,<-39,14,-3>}
  box {<-64,11,1>,<-39,14.5,-1>}
  texture {madera2}
 }
 union //balas
 {
  #declare aa=-63
  #while (aa<-40)
    sphere {<aa,12,4>,.8} sphere {<aa,12,-4>,.8}
    sphere {<aa,14,2>,.8} sphere {<aa,14,-2>,.8}
    #declare aa=aa+2
  #end
  texture {metal}
 }
 union //soporte escala mayor
 {
  box {<-10,20,25>,<15,22,29> texture {madera_alcazar_bordas}}
  box {<-10,20,-25>,<15,22,-29> texture {madera_alcazar_bordas}}
  #declare aa=-5
  #while (aa<11)
    torus {1,.1 rotate z*90 translate <aa,22.9,26.5>}
    torus {1,.1 rotate z*90 translate <aa,22.9,-26.5>}
    #declare aa=aa+5
  #end
  torus {1,.1 rotate x*90 translate <-10.9,21,25.5>}
  torus {1,.1 rotate x*90 translate <-10.9,21,-25.5>}
  torus {1,.1 rotate x*90 translate <15.9,21,25.5>}
  torus {1,.1 rotate x*90 translate <15.9,21,-25.5>}
  texture {metal}
 }
 union //soporte escala trinquete
 {
  box {<-100,30,-32>,<-80,32,-28> texture {madera_alcazar_bordas}}
  box {<-100,30,32>,<-80,32,28> texture {madera_alcazar_bordas}}
  #declare aa=-100
  #while (aa<-80)
    torus {1,.1 rotate z*90 translate <aa,32.9,31>}
    torus {1,.1 rotate z*90 translate <aa,32.9,-31>}
    #declare aa=aa+5
  #end
  torus {1,.1 rotate x*90 translate <-79.1,31,30.5>}
  torus {1,.1 rotate x*90 translate <-79.1,31,-30.5>}
  texture {metal}
 }
 union //cabrestante
 {
  cylinder {0,y*1,3}
  #declare aa=1.5
  #while (aa<7)
    torus {2.5,.25 translate y*aa texture {cuerda}}
    #declare aa=aa+.5
  #end
  sphere {0,3 scale <1,.5,1> clipped_by {plane {-y,0}} translate y*7}
  translate <-110,20,0>
  texture {metal}
 }
 union //cabos anclas
 {
  cylinder {<-135,20.5,15>,<-135,18.5,15>,1 texture {metal}}
  cylinder {<-135,20.5,-15>,<-135,18.5,-15>,1 texture {metal}}
  sphere {<-135,20.5,15>,.25}
  sphere {<-135,20.5,-15>,.25}
  cylinder {<-135,20.5,15>,<-110,25,0>,.25}
  cylinder {<-135,20.5,-15>,<-110,25,0>,.25}
  cylinder {<-135,20.5,15>,<-135,18,15>,.25}
  cylinder {<-135,20.5,-15>,<-135,18,-15>,.25}
  texture {cuerda}
 }
}
/********************************* fin detalles cubiertas *********************/

/************************************* inicio ancla *******************************/
#declare ancla=
union 
{
 torus {1.5,.5 rotate x*90}
 cylinder {<0,-1.5,0>,<0,-18,0>,.5}
 cone {<0,-18,0>,.5,<0,-20,0>,0}
 torus {8.5,.5 rotate x*90 clipped_by {plane {y,0}} translate y*-10}
 cone {<-8.5,-10,0>,1.5,<-8.5,-8,0>,0}
 cone {<8.5,-10,0>,1.5,<8.5,-8,0>,0}
 cylinder {<0,-3,-7.5>,<0,-3,7.5>,.5}
 sphere {<0,-3,-7.5>,1.5}
 sphere {<0,-3,7.5>,1.5}
 texture {metal}
}
/************************************* fin ancla *******************************/

/************************************** inicio farol ****************************/
#declare farol=
union
{
 union
 {
  sphere {0,5 clipped_by {plane {-y,0}} hollow}
  sphere {0,5 clipped_by {plane {y,0}} scale <1,2.5,1> hollow}
  pigment {rgbt .85}
  finish {reflection .25 specular 1 roughness .0005 diffuse 0.3}
 }
 sphere {0,3.25 clipped_by {plane {y,0}} translate y*-10}
 difference
 {
  sphere {0,5.25}
  box {<10,3,-10>,<-10,-10,10>}
 }
 union
 {
  torus {5,.25}
  torus {4.75,.25 translate y*-5}
  #declare aa=0
  #while (aa<360)
   union
   {
    torus {5,.25 rotate <90,90,0> clipped_by {plane {-y,0}}}
    torus {5,.25 rotate <90,90,0> clipped_by {plane {y,0}} scale <1,2.5,1>}
    rotate y*aa
   }
   #declare aa=aa+45
  #end
  cone {y*-10,3,y*-7,1}
  cylinder {y*-8,y*-4,.75}
  no_shadow
 }

 sphere {0,1.5 scale <1,.5,.1> translate y*5}
 cylinder {y*-10,y*-30,1}
 sphere {y*-30,1}

 #ifdef (luces)
  light_source {<0,-3.9,0> rgb <1.5,1.25,0>
                fade_distance 100 fade_power 2}
  sphere
  {
   0,1 pigment {rgbt 1} hollow
   clipped_by {plane {-y,0}}
   halo
   {
    linear emitting
    turbulence <.1,1,.1>
    jitter .4
    color_map
    {
     [0 rgbt <2,2,0,1>]
     [.5 red 3]
     [1 rgb 2]
    }
   }
   scale 5 scale <.3,1.25,.32> translate y*-4
  }
  sphere
  {
   0,1 pigment {rgbt 1} hollow
   halo
   {
    linear emitting
    color_map
    {
     [0 rgbt 1]
     [1 rgbt <.5,.5,0,.5>]
    }
   }
   scale 15 translate y*-4
  }
 #end
 texture {laton}
}
/************************************** fin farol ****************************/

/************************************** inicio farolillo ****************************/
#declare farolillo=
union
{
 box {<-2.8,-3,-2.8>,<2.8,-8,2.8> hollow pigment {rgbt .9}
      finish {reflection .3 specular 1 roughness .0005}}
 torus {1,.2 rotate x*90}
 cylinder {<-1,0,0>,<-10,0,0>,.2}
 intersection
 {
  prism {linear_spline 4,-4 4 <0,-.5>,<-3,-3>,<3,-3>,<0,-.5>}
  prism {linear_spline 4,-4 4 <0,-.5>,<-3,-3>,<3,-3>,<0,-.5> rotate z*90}
  rotate x*-90
 }
 box {<-3,-8,-3>,<3,-9,3>}
 union
 {
  cylinder {<-2.75,-8,-2.75>,<-2.75,-3,-2.75>,.25}
  cylinder {<2.75,-8,-2.75>,<2.75,-3,-2.75>,.25}
  cylinder {<-2.75,-8,2.75>,<-2.75,-3,2.75>,.25}
  cylinder {<2.75,-8,2.75>,<2.75,-3,2.75>,.25}
  cylinder {<0,-8,-2.75>,<0,-3,-2.75>,.25}
  cylinder {<0,-8,2.75>,<0,-3,2.75>,.25}
  cylinder {<-2.75,-8,0>,<-2.75,-3,0>,.25}
  cylinder {<2.75,-8,0>,<2.75,-3,0>,.25}
  cone {<0,-8,0>,1.5,<0,-6,0>,.5}
  no_shadow
 }
 #ifdef (luces)
  light_source {<0,-5.5,0> rgb <1.5,1.25,0>
                fade_distance 50 fade_power 2}
  sphere
  {
   0,1 hollow
   pigment {rgbt 1}
   halo
   {
    linear emitting
    turbulence .1
    color_map
    {
     [0 rgbt <2,0,0,1>]
     [.8 rgbt <2,2,0,.5>]
     [.7 rgbt <2,2,0,.5>]
     [.5 rgbt <2,0,0,0>]
     [1 rgb 2]
    }
   }
   scale <2,3.5,2>
   translate y*-5.5
  }
  sphere
  {
   0,1 hollow
   pigment {rgbt 1}
   halo
   {
    linear emitting
    color_map
    {
     [0 rgbt <1,1,0,1>]
     [1 rgbt <1,1,0,.5>]
    }
   }
   scale 10
   translate y*-5.5
  }
 #end
 texture {metal}
}
/************************************** fin farolillo ****************************/

/************************************** inicio banderas ****************************/
#declare bandera=
difference
{
 union
 {
  box {<0,7.5,.0001>,<-30,-7.5,-.0001> pigment {rgb <1,1,0>}
        normal {ripples bump_size 2 scale 10 translate x*-50}}
  box {<0,2.5,.00011>,<-30,5,-.00011> pigment {rgb <1,0,0>}
        normal {ripples bump_size 2 scale 10 translate x*-50}}
  box {<0,-2.5,.00011>,<-30,-5,-.00011> pigment {rgb <1,0,0>}
        normal {ripples bump_size 2 scale 10 translate x*-50}}
 }
 cylinder {z*1,z*-1,7.5 scale <.15,1,1> pigment {rgb 0}}
}

#declare estandarte=
difference
{
 union
 {
  prism {linear_spline .0001,-.0001 4 <0,5>,<-40,0>,<0,-5>,<0,5> rotate x*90
         pigment {rgb <1,1,0>} normal {ripples bump_size 2 scale 10 translate x*-50}}
  prism {linear_spline .00011,-.00011 4 <0,0>,<-40,0>,<0,-5>,<0,0> rotate x*90
         pigment {rgb <0,0,1>} normal {ripples bump_size 2 scale 10 translate x*-50}}
 }
 cylinder {z*1,z*-1,5 scale <.15,1,1> pigment {rgb 0}}
}
/************************************** fin banderas ****************************/

#declare galeon=
union
{
 object {casco}
 object {cubierta_inferior}
 object {cubierta_superior}
 object {cubierta}
 object {alcazar_proa}
 object {alcazar_popa}
 object {bordas}
 object {refuerzos_bordas}
 object {detalles_alcazar translate x*40}
 object {detalles_alcazar rotate y*180 translate x*-80}
 object {timon}
 object {armamento}
 object {detalles_cubierta}
 object {jarcia}
 object {palo_mayor translate <0,10,0>}
 object {trinquete translate <-95,10,0>}
 object {mesana translate <60,20,0>}
 union
 {
  object {mastelero_mesana}
  #ifdef (velas)
   object {vela_mesana translate y*-2}
  #end
  sphere {0,0 pigment {rgb 0}} //evita warning
  rotate z*50 translate <60,110,1.5>
 }
 object {baupres rotate z*-20 translate <-100,10,0>}
 #ifdef (velas)
  object {vela_mayor_trinquete translate <-100,56,0>}
  object {vela_gavia_trinquete translate <-99,123,0>}
  object {vela_mayor_mayor translate <-5,59.5,0>}
  object {vela_gavia_mayor translate <-4.5,134,0>}
 #end
 object {farol translate <115,50,-30>}
 object {farol translate <115,50,30>}
 object {farolillo translate <9,35,0>}
 object {farolillo translate <-87,90,0>}
 object {farolillo translate <-87,35,0>}
 object {bandera translate <-3,195,0>}
 object {estandarte translate <-98,180,0>}
 object {ancla rotate y*30 translate <-135,18,-15>}
 object {ancla rotate y*-30 translate <-135,18,15>}
}
